SSMTP(8)

NAME
ssmtp, sendmail - send a message using smtp

SYNOPSIS
ssmtp [ flags ] [ address ... ]
sendmail [ flags ] [ address ... ]

DESCRIPTION
ssmtp is a send-only sendmail emulator for firewall host. It provides the functionality required for humans and programs to send mail via the standard or /usr/bin/mail user agents.

It accepts a mail stream on standard input with recipients specified on the command line and synchronously forwards the message to the mail transfer agent of a mailhub for the mailhub MTA to process. Failed messages are placed in dead.letter in the configured "baddir" directory.

It does not attempt to provide all the functionality of sendmail: it is intended for use where other programs are the primary means of at last mail delivery.

It does not do aliasing, which must be done either in the user agent or on the mailhub. Nor does it honor .forwards, which have to be done on the recieving host. It especially does not deliver to pipelines.

ssmtp know nothing about MX'es and other things like that. It does SMTP _only_ and uses static routes defined in netperm-table to deliver mail.

OPTIONS

  Command Line Options
Most sendmail options are irrelevent to sSMTP. Those marked ``ignored'' or ``default'' have no effect on mail transfer. Those marked ``unsupported'' are fatal errors. Those marked ``simulated'' are not errors, but the result is for the program to exit with an informative message. A sort of fatal non-error.

-ba (unsupported) ARPANET mode. All input lines must end with a LINEFEED, and all messages will be generated with a CR-LF at the end. Also, the ``From:'' and ``Sender:'' fields are examined for the name of the sender.

-bd (unsupported) Run as a daemon.

-bi (ignored) Initialise the alias database.

-bm (default) Deliver mail in the usual way.

-bp (simulated) Print a summary of the mail queue.

-bs (unsupported) Read SMTP commands from stdin.

-bt (unsupported) Run in address test mode.

-bv (unsupported) Verify names only.

-bz (unsupported) Create the configuration freeze file.

-Cfile
    (ignored) Use alternate configuration file.

-dX Set debugging value to X.

-E  (ignored) Don't trust userid of sender.

-Ffullname
    Set the full name of the sender.

-fname
    Sets the name of the ``from'' person. This option is valid only if no From: line is specified within the header of the email.

-h  (ignored) Set the hop count to N.

-m  (ignored) Ignore originator in alias.

-Mid
    (ignored) Attempt to deliver the queued message with message-id id.

-N dsn
    (ignored) Set delivery status notification conditions to dsn.

-n  (default) Do not do aliasing.

-oAfile
    (ignored) Use alternate alias file.

-oc (ignored) Delay ``expensive'' connections.

-od (ignored) Set the delivery mode to interactive/synchronous, background or queue (Always interactive).

-oD (ignored) Run newaliases if required.

-oe (ignored) Set error processing to mail, write, print or quit. (Always print).

-oFmode
    (ignored) The mode to use when creating temporary files.

-of (ignored) Save UNIX-system-style ``From'' lines at the front of messages.

-ogN
    (ignored) Set group ID to use when calling mailers.

-oHfile
    (ignored) Set SMTP help file.

-oi (default) Do not take dots on a line by themselves as a message terminator.

-oLn
    (ignored) The log level.

-om (default) Send to ``me'' (the sender) also if in an alias.

-oo (unsupported) If set, this message may have old style headers.

-oQqueuedir
    (ignored) Select the directory in which to queue messages.

-ortimeout
    (ignored) The timeout on reads.

-oSfile
    (ignored) Save statistics in the named file.

-os (ignored) Always instantiate the queue.

-oTtime
    (ignored) Set timeout on messages.

-otstz,dtz
    (ignored) Set the name of the time zone.

-ouN
    (ignored) Set the default user id for mailers.

-q[time]
    (simulated) Process the queue.

-rname
    Same as -f.

-t  Read message, searching for recipients. ``To:'', `Cc:'', and ``Bcc:'' lines will be scanned for people to send to. Any addresses in the argument list will be suppressed.

-v  Go into verbose mode.

-V  Say version and quit.

  Configuration Options
The ssmtp program reads configuration rules from the /usr/local/etc/netperm-table. It reads all rules using the ssmtp and * (wildcard) keywords. The ssmtp program reads the netperm-table from top to bottom. If there are multiple rules in the table that could apply for a particular attribute, the ssmtp program uses the first one that it finds. See netperm-table(5) for a more complete explanation of netperm-table syntax and precedence.

The ssmtp program recognizes the following attributes:

directory directory
    Specifies the directory that the smtpd proxy makes its root directory before providing service.

baddir directory
    Specifies the directory in which the ssmtp server places any spooled mail that it cannot deliver normally.

relay domain [domain..]options
    rules specify mail routing path. There may be several domains following the "relay" keyword, ending with the first option beginning with '-'. Sub-options are:

    -via mailhub Specifies mail route destination for domain (smtp host)

    [-server]-dscp dscp-tag-name
    [-server]-dscp dscp-hex-value Specifies diffserv codepoint (QoS/ToS mark) for smtp session.

default-relay relay
    Specifies default mailhub for domains not listed explicitly in routing rules.

default-dscp dscp-tag-name
    default-dscp dscp-hex-value Specifies default diffserv codepoint (QoS/ToS mark) for smtp session.

intranet-hosts host-pattern [host-pattern..]
    Specifies message originators to be treated as intranet (for filtering purposes). The relay IP is being extracted from headers formed by smtpd.

hide-intranet [-log-headers]
    Removes message route for intranet-hosts and replaces it with smap id for future reference (-log-headers saves removed Received: lines into syslog; you probably don't need this if you are big-brother-friendy (well, Sarbannes-Oxley compliant) enough to save duplicates of outgoing messages or have other reasons to do so.)

milter filter
intranet-milter filter
extranet-milter filter
    Defines content inspection filter for all, intranet-originated and outside-originated messages.

    filter
        Defines milter socket address in unix:/domain-path or inet:port@host format.

groupid group
    Specifies the name of the group the ssmtp program uses when running.

    group
        Specifies either a name or numeric id from the /etc/group file.

groupid group
    Specifies the name of the group the ssmtp program uses when running.

    group
        Specifies either a name or numeric id from the /etc/group file.

timeout seconds
    Specifies the number of seconds the smtpd proxy is idle (with no network activity) before disconnecting

userid user
    Specifies the user ID the proxy uses when running.

    user
        Specifies either a name or numeric id from the /etc/passwd file.

FILES

/usr/local/etc/netperm-table
    The network permissions file contains configuration information for the Firewall Toolkit, including the network news proxy.

BUGS
sSMTP does not support exception lists to the -t option (never seen it used).

sSMTP does not do ESMTP and does not support authentication at the moment.

sSMTP will fail if the mailhub is unreachable. Report bugs to arkenoi@gmail.com or fwtk-users@buoy.com mailing list. Include a complete example, explaining what you expected to happen and what actually happened. Be sure to indicate the type of system (operating system, hardware, etc.) you are using, as well as the version of the ssmtp.

AUTHORS
Hugo Haas (hugo@debian.org) Christoph Lameter (clameter@debian.org)

SEE ALSO
RFC821, RFC2822, netperm-table(5), smtpd(8), smtpfwdd(8)